Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Gallery Hacked  (Read 650 times)

0 Members and 1 Guest are viewing this topic.

nowordneeded

  • Coppermine frequent poster
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Female
  • Posts: 109
Gallery Hacked
« on: June 25, 2018, 12:11:42 pm »

I'm hoping someone can help me with this. I've recently had a hack on my site including some files on my gallery. For this purpose since there are a few I'm going to use the one here: http://tamara-braun.com/gallery that is using the latest stable version of Coppermine with 1.5.46. My Wordpress was also hacked. I've backed that up including my database, changed all passwords including my FTP. Now when it comes to my coppermine galleries I want to know if I can drop in clean files and overwrite what is there without having to take a complete back up of the gallery. I had planned on copying my albums from the uploads section, then deleting everything including my Wordpress installation, then reupload everything including my albums then recreate thumbnails and normal pictures with the Admin tools. My hope is that I can avoid all this since my Categories and albums wouldn't back up and I'd have to completely redo the structure of those. This way all I'd have to do is drop in the new Coppermine files and run the updater. Can I do this? I have checked my databases and they are okay.

Thanks in advance for any help/replies.
Logged
Sometimes my musings are too confusing for someone not inside my head.

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 924
Re: Gallery Hacked
« Reply #1 on: June 25, 2018, 03:02:30 pm »

Yes, you can just replace the files (except include/config.inc.php)

You might want to consider upgrading to CPG 1.6.x
http://forum.coppermine-gallery.net/index.php/topic,79013.msg383037.html#msg383037
Logged

nowordneeded

  • Coppermine frequent poster
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Female
  • Posts: 109
Re: Gallery Hacked
« Reply #2 on: June 25, 2018, 03:06:30 pm »

The include/config.php file and the anycontent since I do use it. I did not know CPG1.6 was available. I will do that then. Thank you for your help and for the suggestion.

Take care.
Logged
Sometimes my musings are too confusing for someone not inside my head.

nowordneeded

  • Coppermine frequent poster
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Female
  • Posts: 109
Re: Gallery Hacked
« Reply #3 on: June 25, 2018, 03:21:51 pm »

Of course I meant the includes/config.inc.php

Typo....
Logged
Sometimes my musings are too confusing for someone not inside my head.

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4564
    • Windsurf.me
Re: Gallery Hacked
« Reply #4 on: June 25, 2018, 07:00:51 pm »

We certainly need to advertise 1.6 more. It is now IMHO in a very stable state with a nicely growing number of extensions.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

nowordneeded

  • Coppermine frequent poster
  • ***
  • Country: 00
  • Offline Offline
  • Gender: Female
  • Posts: 109
Re: Gallery Hacked
« Reply #5 on: June 26, 2018, 07:48:48 am »

Sounds great. I'm going to see if I can find it on the page.....now where is that?
Logged
Sometimes my musings are too confusing for someone not inside my head.
Pages: [1]   Go Up
 

Page created in 0.021 seconds with 20 queries.